%define module Cairo

Summary:	Perl module for the Cairo library
Name:		perl-%module
Version:	1.060
Release:	%mkrel 1
License:	GPL or Artistic
Group:		Development/GNOME and GTK+
# http://sourceforge.net/project/showfiles.php?group_id=64773&package_id=160888
Source:		http://prdownloads.sourceforge.net/gtk2-perl/%module-%version.tar.bz2
URL:		http://gtk2-perl.sf.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	cairo-devel perl-devel perl-ExtUtils-Depends perl-ExtUtils-PkgConfig
BuildRequires:	perl-Test-Number-Delta

%description
This module provides perl access to the Cairo library.

Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

%prep
%setup -q -n %module-%version
find -type d -name CVS | rm -rf

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} OPTIMIZE="$RPM_OPT_FLAGS"
%{__make} test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc LICENSE examples README NEWS TODO ChangeLog
%{_mandir}/*/*
%{perl_vendorarch}/%module
%{perl_vendorarch}/%module.pm
%{perl_vendorarch}/auto/*




%changelog
* Mon Jun 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.060-1mdv2009.0
+ Revision: 227965
- update to new version 1.060

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.053-2mdv2009.0
+ Revision: 223570
- rebuild

* Mon Feb 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.053-1mdv2008.1
+ Revision: 174751
- new release

* Tue Feb 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.052-1mdv2008.1
+ Revision: 166532
- new release

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.050-2mdv2008.1
+ Revision: 151275
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.050-1mdv2008.1
+ Revision: 111323
- new release

* Mon Oct 15 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.043-1mdv2008.1
+ Revision: 98517
- new release

* Wed Oct 10 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.042-1mdv2008.1
+ Revision: 96737
- BuildRequires perl-Test-Number-Delta
- new release

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 1.041-2mdv2008.0
+ Revision: 36190
- rebuild with correct optflags

* Tue Jun 05 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.041-1mdv2008.0
+ Revision: 35871
- new release

* Mon May 14 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.040-1mdv2008.0
+ Revision: 26721
- new release


* Tue Feb 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.023-1mdv2007.0
+ Revision: 126582
- new release

* Thu Jan 04 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.022-1mdv2007.1
+ Revision: 104209
- new release

* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.021-1mdv2007.1
+ Revision: 86821
- new release

* Wed Oct 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.01-1mdv2007.1
+ Revision: 65974
- new release
- Import perl-Cairo

* Wed Sep 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.00-1mdv2007.0
- new release

* Thu Aug 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.92-1mdv2007.0
- new release

* Wed Jul 26 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.90-1mdv2007.0
- new release

* Sat Jun 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.04-1mdv2007.0
- new release

* Tue Jan 31 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.03-1mdk
- new release

* Fri Sep 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.02-1mdk
- 0.02
- Build and spec fixes, change group, enable "make test"

* Thu Aug 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.01-1mdk
- initial release

